Subject: [babel] Issue#15: Add support for routing policy

From: Mahesh Jethanandani <[email-masked]>
Date: Mon, 29 Jun 2020 10:49:17 -0700

Babel WG,

I hope this issue has not been brought up already. In either case, I do not remember what the resolution was. So here it goes.

The issue against the Babel YANG model that I needed to close on is documented here <https://github.com/mjethanandani/babel-data-model/issues/15>. It asks if Babel needs to add support for extending the base routing policy model described in draft-ietf-rtgwg-policy-model <https://tools.ietf.org/html/draft-ietf-rtgwg-policy-model-05>. The base model defined in that document already defines how routes are imported, exported, or modified across different routing protocols. The idea for Babel to extend would come if there was a need to extend it further with conditions (match sets) and actions that the base model cannot or does not cover. For example, BGP extends the model to add community option type, to check if the route type is external or internal, etc.

Does Babel have a need for operators to be able to extend policy definition beyond what is already defined in the base model?

Cheers.

Mahesh Jethanandani
[email-masked]